package com.example.demo.supply.Product;

import com.example.demo.supply.Order.Orders;

import java.util.List;

public class ProductDto {
    private long id;
    private String name;
    private double cost;
    private List<Orders> orders;

    public ProductDto(Product product) {
        this.name = product.getName();
        this.cost = product.getCost();
        this.orders = product.getOrders();
    }

    public long getId() {
        return id;
    }
    public String getName() {
        return name;
    }
    public double getCost() {
        return cost;
    }
    public List<Orders> getOrders() {
        return orders;
    }
}
