package com.example.demo.supply.Supplier;

import com.example.demo.supply.Order.Orders;

import java.util.List;

public class SupplierDto {
    private Long id;
    private String name;
    private int license;
    private List<Orders> orders;

    public SupplierDto(Supplier supplier){
        this.name = supplier.getName();
        this.license = supplier.getLicense();
        this.orders = supplier.getOrders();
    }

    public Long getId() { return id; }
    public String getName() {
        return name;
    }
    public int getLicense() {
        return license;
    }
    public List<Orders> getOrders() {
        return orders;
    }
}
